Subject: Re: asm/kvm_para.h from asm-generic (was: Re: linux-next: triage for April 19, 2012)

From: Sam Ravnborg <[email-masked]>
Date: Tue, 19 Jun 2012 21:00:08 +0200

On Tue, Jun 19, 2012 at 08:48:03PM +0200, Sam Ravnborg wrote:
> > >>
> > >> I just noticed include/asm-generic/Kbuild.asm already had
> > >>
> > >> ifneq ($(wildcard $(srctree)/arch/$(SRCARCH)/include/asm/kvm_para.h \
> > >>                  $(srctree)/include/asm-$(SRCARCH)/kvm_para.h),)
> > >> header-y  += kvm_para.h
> > >> endif
> > >>
> > >> but this doesn't seem to work.
> > >>
> > >> Kbuild people: which one is correct?
> 
> Any use of wildcards in include/asm-generic/Kbuild.asm is bogus.
> We should:
> 1) add explicit header-y for kvm.h + a.out.h to the relevant architectures.
> 2) add explicit header-y for kvm_para.h for the archictectures that needs this file
> 3) and drop header-y / dummy file fro the others.
> 
> Anything else is just papering over the initial wrong doings.
> 
> I actually coded up "header-n" support to explicitly say:
> do not include this file for this arch - but looking at the
> actual problem being solved this is just bogus so I killed
> it off again.

Just to be clear - I know this will break headers_check_all.
I will try to take a look soon for a better generic solution.

	Sam
--
To unsubscribe from this list: send the line "unsubscribe linux-kbuild" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html